Users
Read user profiles and update your own account
Resource overview
GET
/api/usersAPI key · SessionRole: Super AdminGET
/api/users/{id}API key · SessionRole: Super AdminPATCH
/api/users/{id}API key · SessionRole: Super AdminPATCH
/api/users/meAPI key · SessionCurrent user
PATCH
/api/users/meAPI key · SessionUpdate the authenticated user's own profile.
| Name | Type | Required | Description |
|---|---|---|---|
name | string | Optional | Display name. |
phone | string | Optional | E.164 phone number. |
List users
GET
/api/usersAPI key · SessionRole: Super AdminReturns members of your organization. Standard pagination params apply.
Get / update user
GET
/api/users/{id}API key · SessionRole: Super AdminPATCH
/api/users/{id}API key · SessionRole: Super Admin| Name | Type | Required | Description |
|---|---|---|---|
name | string | Optional | Display name. |
role | string | Optional | Org role name. Must exist on the org. |
status | string | Optional | `active` or `suspended`. |